import type { AddressItem } from '@/types/address'
import { defineStore } from 'pinia'
import { ref } from 'vue'

/**
 * 选中的地址
 */
export const useSelectedAddressStore = defineStore('selectedAddress', () => {
  const selectedAddress = ref<AddressItem | null>(null)

  const setSelectedAddress = (address: AddressItem) => {
    selectedAddress.value = address
  }

  return {
    selectedAddress,
    setSelectedAddress,
  }
})
